Subject: The use of php and why

From: "Guo, Dan" <[email-masked]>
Date: Mon, 20 Nov 2000 12:04:43 -0800

I come across the following Question-&-answer in the archive of mpls mailing
list. Can someone clarify the operation (and motivation) of PHP? I really
like to know in what scenario this is carried out. It appears this causes
confusion in our mailing list discussion.
My fuzzy understanding is that label value 3 and so called penultimate hop
popping is used in label distribution phase ( ie. signalling or set up of
LSP). When the time comes to do label-switching for forwarding data, it is
the business as usual - we use incoming label and ILM to figure out the
outgoing data port and NHFLE is then used to extract next label .
thanks in advance,
Dan 
---------------------------------------------------------
From: Shahram Davari <[email-masked]
<mailto:[email-masked]>> 
*	Date: Tue, 21 Mar 2000 12:22:47 -0800 
Hi,

The incoming label is used to determine the next hop. This is called
Penultimate Hop Popping (PHP).

-Shahram

>-----Original Message-----
>From: Zheng Wang [<mailto:[email-masked]>]
>Sent: Monday, March 20, 2000 3:50 PM
>To: [email-masked]
>Subject: question on draft-ietf-mpls-label-encaps-07.txt
>
>
>I dont know if someone has raised this question or not. 
>The label value 3 is reserved for Implicit NULL Label.
>The draft says:
>
>           iv. A value of 3 represents the "Implicit NULL Label".
>                 This is a label that an LSR may assign and distribute,
>                 but which never actually appears in the encapsulation.
>                 When an LSR would otherwise replace the label at the
>                 top of the stack with a new label, but the 
>new label is
>                 "Implicit NULL", the LSR will pop the stack instead of
>                 doing the replacement.  Although this value may never
>                 appear in the encapsulation, it needs to be specified
>                 in the Label Distribution Protocol, so a value is
>                 reserved.
>
>My question is which label is used to determine the next hop in this
>case, the imcoming label or the new top label after the popping of the
>stack?
>
>Thanks in advance
>Cheers
>Zheng
>

----
Dan Guo
Sorrento Networks
+1 - 858- 450-4964